package gui;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JTextField;

import model.GameEngine;

/**
 * Small UI just to demonstrate how the UI will interact with the API.
 * Should not be considered an example of the design you should follow for M3.
 */
public class President extends JFrame implements ActionListener
{
	private GameEngine fEngine = new GameEngine();
	private JButton fDeal = new JButton("Deal");
	private JTextField fField = new JTextField(5);
	
	public President()
	{
		setLayout(new FlowLayout());
		add(fDeal);
		add(fField);
		fDeal.addActionListener(this);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		pack();
		setVisible(true);
	}

	@Override
	public void actionPerformed( ActionEvent e )
	{
		fEngine.deal();
		// Note: In M3 visual responses will need to be implemented
		// through the Observer patterns. This example is only to
		// demonstrate how the GameEngine can be accessed from the UI.
		fField.setText(new Boolean(fEngine.isDealt()).toString());
	}
	
	public static void main( String[] args )
	{
		new President();
	}
}
