package util;

/**
 * Contains a list of cards of the same rank (for examples,
 * three queens). Tolerates duplicates
 * Immutable.
 */
public final class CardGroup implements Iterable<Card>
{
	/**
	 * Constructs a new card group from an array or cards.
	 * @param cards The cards to put in the group.
	 * @pre cards !=null && cards.length > 0
	 * @throws IllegalArgumentException if the cards in cards 
	 * are not all of the same rank, or if more than one Joker is
	 * in the input
	 */
	public CardGroup(Card[] cards)
	{}
	
	/**
	 * Constructs a singleton card group.
	 * @param card The card to put in the group.
	 * @pre card !=null 
	 */
	public CardGroup(Card card)
	{}
	
	
	/**
	 * Constructs an empty Card Group
	 */
	public CardGroup()
	{}
	
	/**
	 * @param card A card to check
	 * @return True if pCard is in this group
	 * @pre card != null
	 */
	public boolean contains(Card card)
	{}

	/**
	 * @return The size of the group.
	 */
	public int size()
	{}
	
	/**
	 * @return The rank for this card group
	 */
	public Card.Rank getRank()
	{}
	
	/**
	 * @return true if this is a singleton Joker
	 */
	public boolean isJoker()
	{}
}
